Package fr.gouv.vitam.common.database.parser.request

# Class GlobalDatasParser

java.lang.Object
fr.gouv.vitam.common.database.builder.request.configuration.GlobalDatas
fr.gouv.vitam.common.database.parser.request.GlobalDatasParser

Direct Known Subclasses:
  `GlobalDatasDb`

public class GlobalDatasParser extends GlobalDatas
Configuration for Parser

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT_LIMIT_REQUEST`
  Default limit for Request (sanity check)
  `static final int`
  `DEFAULT_SCROLL_TIMEOUT`
  default limit scroll timeout
  `static int`
  `limitRequest`
  Default limit for Request (sanity check)
  `static final int`
  `NB_ACTIONS`
  Default limit for number of projections

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.request.configuration.GlobalDatas

  `LIMIT_LOAD, MAXDEPTH, NB_FACETS, NB_FILTERS, NB_PROJECTIONS, NB_ROOTS`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GlobalDatasParser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final com.fasterxml.jackson.databind.node.ArrayNode`
  `getArray(com.fasterxml.jackson.databind.JsonNode value)`
  `static final int`
  `getJsonNodedepth(com.fasterxml.jackson.databind.JsonNode jsonNode)`
  calculate JsonNode depth
  `static final Object`
  `getValue(com.fasterxml.jackson.databind.JsonNode value)`
  `static final void`
  `sanityRequestCheck(String arg)`
  Check the Request if conforms to sanity check

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.request.configuration.GlobalDatas

  `getDate, getLimitParameter, getLimitValue, getValueJsonNode, sanityCheck, sanityParameterCheck, sanityParametersCheck, sanityValueCheck, sanityValueCheck, sanityVariableNameCheck, setArrayValueFromList, setLimitParameter, setLimitValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_LIMIT_REQUEST

    public static final int DEFAULT_LIMIT_REQUEST
    Default limit for Request (sanity check)
    See Also:
      - Constant Field Values

  - ### limitRequest

    public static int limitRequest
    Default limit for Request (sanity check)

  - ### NB_ACTIONS

    public static final int NB_ACTIONS
    Default limit for number of projections
    See Also:
      - Constant Field Values

  - ### DEFAULT_SCROLL_TIMEOUT

    public static final int DEFAULT_SCROLL_TIMEOUT
    default limit scroll timeout
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GlobalDatasParser

    protected GlobalDatasParser()

- ## Method Details

  - ### sanityRequestCheck

    public static final void sanityRequestCheck(String arg) throws InvalidParseOperationException
    Check the Request if conforms to sanity check
    Parameters:
      `arg` - String
    Throws:
      `InvalidParseOperationException` - if the sanity check is in error

  - ### getJsonNodedepth

    public static final int getJsonNodedepth(com.fasterxml.jackson.databind.JsonNode jsonNode)
    calculate JsonNode depth
    Parameters:
      `jsonNode` - JsonNode
    Returns:
      number of child of JsonNode

  - ### getValue

    public static final Object getValue(com.fasterxml.jackson.databind.JsonNode value) throws InvalidParseOperationException
    Parameters:
      `value` - JsonNode
    Returns:
      the Object for Value
    Throws:
      `InvalidParseOperationException` - if value could not parse to JSON

  - ### getArray

    public static final com.fasterxml.jackson.databind.node.ArrayNode getArray(com.fasterxml.jackson.databind.JsonNode value) throws InvalidParseOperationException
    Parameters:
      `value` -
    Returns:
      the ArrayNode for value
    Throws:
      `InvalidParseOperationException` - if value could not parse to JSON